using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	public interface ICustumerStorage
	{
		List<CustumerViewModel> GetFullList();
		List<CustumerViewModel> GetFilteredList(CustumerSearchModel model);
		CustumerViewModel? GetElement(CustumerSearchModel model);
		CustumerViewModel? Insert(CustomerBindingModel model);
		CustumerViewModel? Update(CustomerBindingModel model);
		CustumerViewModel? Delete(CustomerBindingModel model);
	}
}
